Admin
O Auth Remote Connection List
List remote OAuth connections configured for this Storyden instance.
GET
/admin/oauth/remote/connectionsList remote OAuth connections configured for this Storyden instance.
storyden-session<token>
In: cookie
Response Body
application/json
application/json
curl -X GET "https://example.com/admin/oauth/remote/connections"{ "connections": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "resource_url": "http://example.com", "resource": "string", "resource_name": "string", "authorization_server": "http://example.com", "mode": "cimd", "status": "pending", "client_id": "string", "has_client_secret": true, "authorization_endpoint": "http://example.com", "token_endpoint": "http://example.com", "registration_endpoint": "http://example.com", "token_endpoint_auth_method": "string", "redirect_uri": "http://example.com", "redirect_uris": [ "http://example.com" ], "scope": "string", "has_access_token": true, "has_refresh_token": true, "token_type": "string", "token_expiry": "2019-08-24T14:15:22Z", "last_error": "string" } ]}O Auth Remote Connection Create POST
Create a remote OAuth connection using CIMD, DCR, or manual configuration. CIMD is preferred when discovery supports it.
O Auth Remote Discover POST
Discover OAuth configuration for a remote protected resource URL. Storyden fetches protected resource metadata, follows the advertised authorization server, and chooses CIMD, DCR, or manual setup according to the discovered authorization server metadata.